Bug 14941 - symlinkat function from VFS cap module always fails with an error.
Summary: symlinkat function from VFS cap module always fails with an error.
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules (show other bugs)
Version: 4.15.3
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-07 12:54 UTC by Pavel Fiipenský
Modified: 2022-01-19 15:28 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.15.next. (1.21 KB, patch)
2022-01-11 18:05 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Fiipenský 2022-01-07 12:54:13 UTC
symlinkat function from VFS cap module always fails with an error.

Fix will follow.
Comment 1 Samba QA Contact 2022-01-11 00:41:25 UTC
This bug was referenced in samba master:

41ebb7f68c5b21492f503afc4cb341a97654a43d
Comment 2 Jeremy Allison 2022-01-11 18:05:27 UTC
Created attachment 17080 [details]
git-am fix for 4.15.next.

Cherry-picked from master.
Comment 3 Andreas Schneider 2022-01-12 11:37:55 UTC
Jule, please apply the patch to the next 4.15 release. Thanks!
Comment 4 Jule Anger 2022-01-12 11:48:08 UTC
Pushed to autobuild-v4-15-test.
Comment 5 Samba QA Contact 2022-01-12 12:55:26 UTC
This bug was referenced in samba v4-15-test:

680f68a072cfb7b3a0eb22498e6ee6997340adaf
Comment 6 Jule Anger 2022-01-12 13:35:39 UTC
Closing out bug report.

Thanks!
Comment 7 Samba QA Contact 2022-01-19 15:28:44 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.4):

680f68a072cfb7b3a0eb22498e6ee6997340adaf